<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_20</title>
</head>
<body>
    <h1>Ejercicio 20</h1>
    <script>
    /*20) Programa una función que valide que un texto sea un email válido, 
    pe. miFuncion("jonmircha@gmail.com") devolverá verdadero.*/

    const validarCorreo = (correo = undefined) => {

        if (correo === undefined) return console.warn("No ingreso un texto");
        if (typeof correo !== "string") 
           return console.warn(`El valor ingresado: ${correo} no es un texto`);

        let expReg =  /[a-z0-9]+(\.[_a-z0-9]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,15})/i.test(correo);

        return(expReg)
            ? console.log(`${correo}, es un Correo vàlido`)
            : console.log(`${correo}, NO es un Correo vàlido`);      
    }

    validarCorreo("jonmircha@gmail.com");
    validarCorreo("jon_mir.cha@gmail");
    validarCorreo(34);
    validarCorreo();

    </script>
    
</body>
</html>